Subject: [EAI] Fwd: [apps-discuss] AppsDir review of draft-ietf-eai-5738bis-03

From: Alexey Melnikov <[email-masked]>
Date: Mon, 14 May 2012 14:41:11 +0100

FYI.

-------- Original Message --------
Subject: 	[apps-discuss] AppsDir review of draft-ietf-eai-5738bis-03
Date: 	Mon, 14 May 2012 06:37:19 -0700
From: 	Aaron Stone <[email-masked]>
To: 	[email-masked], [email-masked]

I have been selected as the Applications Area Directorate reviewer for this
draft (for background on appsdir, please see
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).
I apologize for the terrible tardiness of this review.

Please resolve these comments along with any other Last Call comments you may
receive. Please wait for direction from your document shepherd or AD before
posting a new version of the draft.

Document: draft-ietf-eai-5738bis-03
Title: IMAP Support for UTF-8
Reviewer: Aaron Stone
Review Date: 5/13/2012
IETF Last Call Date: none found
IESG Telechat Date: none scheduled
Summary: This draft is ready for publication with only a few editorial nits.

Major Issues: none

Minor Issues:

Section 3.2 (text that should be in 3.3, see below):

The text first says that LIST without UTF8 will hide the UTF8 mailboxes, but
then it says that LIST without UTF8 in the presensce of a UTF8 mailbox results
in an error. Will this cause user anguish if one mailbox is upgraded
to UTF-8 and
now the portion of mailbox hierarchy that mailbox is in cannot be listed by
non-UTF8-extension aware clients?

Nits:

- Section 3, last sentence: replace "imply" with "implies".

- Section 3.1: What's the "appropriate internal format"?
    All IMAP servers that advertise the "UTF8=ACCEPT" capability SHOULD
    accept UTF-8 in mailbox names, and those that also support the
    "Mailbox International Naming Convention" described in RFC 3501,
    Section 5.1.3 MUST accept utf8-quoted mailbox names and convert them
    to the appropriate internal format.

This looks like a nit, possible new last portion of text:
    ... MUST accept utf8-quoted mailbox names and convert them to the server's
    appropriate internal format as needed.

- Section 3.2, second paragraph, "Servers MAY include mailboxes that
can only be selected or examined..."

This paragraph in the wrong section. It deals with LIST, LSUB, so I
think it should be moved to 3.3.

- Section 4: First sentence, the server may reject the command -- the
server itself isn't failing.

OLD
    A server that advertises "UTF8=ACCEPT" MAY fail for \NotUTF8
    mailboxes with a NOT-UTF-8 response code.
NEW
    A server that advertises "UTF8=ACCEPT" MAY fail an APPEND command
    for \NotUTF8 mailboxes with a NOT-UTF-8 response code.

- Section 4: change "8-bit" to "8-bit character" in the last sentence.

- Section 5: Expand the contraction doesn't =>  does not.
- Section 5: Should this section state more obviously that the
UTF8=USER stuff in 5738 is removed entirely?

- Section 6: replace "internaltion mailbox name convention (modified
UTF-7) with "Mailbox International Naming Convention" for consistency.

- Section 9, Security Considerations: The first paragraph is left-over
from 5738,
should be removed entirely (LOGIN is no longer extended to UTF-8).

Thank you,
Aaron
_______________________________________________
apps-discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/apps-discuss